// 有以下说明和语句, 则p2 - p1的值为多少 ? int a[10] = {0}, *p1 = NULL, *p2 = NULL;
// p1 = a;
// p2 = &a[5];
// A.5 B.6 C.10 D.没有指针与指针的减法
#include <stdio.h>
#include <stdint.h>

int main()
{
    int a[10] = {0},
        *p1 = NULL,
        *p2 = NULL;
    p1 = a;

    p2 = &a[5];               // p2 指向 a[5] 的地址
    printf("%ld\n", p2 - p1); // 同一个数组的指针相减，得到的是两个指针之间的元素个数

    return 0;
}